# Scrunch Edit introduction

Often a text editor is more than enough to handle even long, complex documents. But past a certain point it gets hard to navigate the structure. This is where outliners come in. It's just that most outliners use their own file formats, and have poor or non-existent support for import and export. We can do better.

Scrunch Edit is a two-pane outliner with as many main goals:

- support popular markup formats such as Org Mode and Markdown;
- fit in a single file, to be easily copied and modified.

It otherwise acts much like a simple text editor.

## Uses

- Keep many small text files in one to save disk space and directory entries.
- Interoperate with applications like Emacs and Orgzly.

## System requirements

Scrunch Edit requires a Python runtime. Python comes preinstalled on the Mac and most Linux distributions; Windows users can get it from the python.org website. You'll also need the Tkinter module, which is bundled with most Windows runtimes and preinstalled on the Mac. On Linux you might need to add it yourself: look in your package manager for something called "tkinter", "python-tk" or the like.

Python version 3.x is preferred, but 2.7 should work as well.

Recommended screen resolution: 800x600.

## Status

Scrunch Edit 2.5 is the current version as of 25 December 2022.

## Usage notes

Scrunch Edit guesses formats based on file extensions. There's no other way short of separate "open" commands, since the same text file can be interpreted in different ways based on context.

- The preface is any text that comes before the first heading, in Org mode parlance. That's unusual in Markdown, but you can still have one.
- If you add sections while a search is active, Find Again will skip them.

While an effort has been made to provide key combos for most functions, Scrunch Edit is best used with mouse and keyboard together.

## License and credits

Scrunch Edit is made by No Time To Play, based on knowledge gained from TkDocs.com, and offered as open source under the MIT License. See the source code for details.
