# Scrunch Edit introduction

Often a text editor is more than enough to handle even long, complex documents. But past a certain point it gets hard to navigate the structure. This is where outliners come in. It's just that most outliners use their own file formats, and have poor or non-existent support for import and export. We can do better.

Scrunch Edit is a two-pane outliner with as many main goals:

- support popular markup formats such as Org Mode and Markdown;
- fit in a single file, to be easily copied and modified.

It otherwise acts much like a simple text editor.

## Uses

- Keep many small text files in one to save disk space and directory entries.
- Interoperate with applications like Emacs and Orgzly.

## System requirements

Running Scrunch Edit TT from source requires Tcl/Tk 8.6 with Tklib. Both are available on most Linux distributions, or else from the tcl-lang.org website.

Recommended screen resolution: 800x600.

## Status

Scrunch Edit 2.6 is the current version as of 6 October 2023.

This archive contains Scrunch Edit TT, a new port that enables easy bundling. It hasn't been tested as much as previous versions. Please back up your data.

## Usage notes

Scrunch Edit guesses formats based on file extensions. There's no other way short of separate "open" commands, since the same text file can be interpreted in different ways based on context.

- The preface is any text that comes before the first heading, in Org Mode parlance. That's unusual in Markdown, but you can still have one.
- If you add sections while a search is active, Find Again will skip them.

While an effort has been made to provide key combos for most functions, Scrunch Edit is best used with mouse and keyboard together.

## License and support

Scruch Edit is open source under the MIT license. See source code for details.

You can usually find me on IRC, in the #ctrl-c channel of tilde.chat, or else as @notimetoplay on the elekk.xyz Mastodon instance. Would love to hear from you.
